import 'package:doctor_app_flutter/widgets/shared/app_texts_widget.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';

class AddNewOrder extends StatelessWidget {
  const AddNewOrder({
    Key? key,
    required this.onTap,
    required this.label,
  }) : super(key: key);

  final Function() onTap;
  final String label;

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onTap,
      child: Container(
        width: double.maxFinite,
        height: MediaQuery.of(context).size.height * 0.18,
        margin: EdgeInsets.all(10),
        decoration: BoxDecoration(
          color: Color(0xffEAEAEA),
          borderRadius: BorderRadius.circular(10),
        ),
        child: Center(
          child: Container(
            height: MediaQuery.of(context).size.height * 0.11,
            child: Column(
              children: [
                Container(
                  height: MediaQuery.of(context).size.height * 0.05,
                  width: MediaQuery.of(context).size.height * 0.05,
                  decoration: BoxDecoration(
                    color: Color(0xff7E7E7E),
                    borderRadius: BorderRadius.circular(10),
                  ),
                  child: Center(
                    child: Icon(
                      Icons.add,
                      color: Colors.white,
                    ),
                  ),
                ),
                SizedBox(
                  height: 10,
                ),
                AppText(
                  label ?? '',
                  color: Color(0xff7E7E7E),
                  letterSpacing: -0.64,
                  fontSize: 16.0,
                  fontWeight: FontWeight.w600,
                )
              ],
            ),
          ),
        ),
      ),
    );
  }

  @override
  void debugFillProperties(DiagnosticPropertiesBuilder properties) {
    super.debugFillProperties(properties);
    properties.add(DiagnosticsProperty<Function>('onTap', onTap));
    properties.add(DiagnosticsProperty<Function>('onTap', onTap));
  }
}
